## exim4 4.95

=== src/lookups/Makefile ===
# Make file for building Exim's lookup modules.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.

# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE


all:             lookups.a lf_quote.o lf_check_file.o lf_sqlperform.o $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

lf_check_file.o: $(HDRS) lf_check_file.c  lf_functions.h
lf_quote.o:      $(HDRS) lf_quote.c       lf_functions.h
lf_sqlperform.o: $(HDRS) lf_sqlperform.c  lf_functions.h

cdb.o:           $(HDRS) cdb.c
dbmdb.o:         $(HDRS) dbmdb.c
dnsdb.o:         $(HDRS) dnsdb.c
dsearch.o:       $(HDRS) dsearch.c
ibase.o:         $(HDRS) ibase.c
ldap.o:          $(HDRS) ldap.c
lmdb.o:          $(HDRS) lmdb.c
json.o:          $(HDRS) json.c
lsearch.o:       $(HDRS) lsearch.c
mysql.o:         $(HDRS) mysql.c
nis.o:           $(HDRS) nis.c
nisplus.o:       $(HDRS) nisplus.c
oracle.o:        $(HDRS) oracle.c
passwd.o:        $(HDRS) passwd.c
pgsql.o:         $(HDRS) pgsql.c
readsock.o:      $(HDRS) readsock.c
redis.o:         $(HDRS) redis.c
spf.o:           $(HDRS) spf.c
sqlite.o:        $(HDRS) sqlite.c
testdb.o:        $(HDRS) testdb.c
whoson.o:        $(HDRS) whoson.c

cdb.so:           $(HDRS) cdb.c
dbmdb.so:         $(HDRS) dbmdb.c
dnsdb.so:         $(HDRS) dnsdb.c
dsearch.so:       $(HDRS) dsearch.c
ibase.so:         $(HDRS) ibase.c
json.so:          $(HDRS) json.c
ldap.so:          $(HDRS) ldap.c
lmdb.so:          $(HDRS) lmdb.c
lsearch.so:       $(HDRS) lsearch.c
mysql.so:         $(HDRS) mysql.c
nis.so:           $(HDRS) nis.c
nisplus.so:       $(HDRS) nisplus.c
oracle.so:        $(HDRS) oracle.c
passwd.so:        $(HDRS) passwd.c
pgsql.so:         $(HDRS) pgsql.c
redis.so:         $(HDRS) redis.c
spf.so:           $(HDRS) spf.c
sqlite.so:        $(HDRS) sqlite.c
testdb.so:        $(HDRS) testdb.c
whoson.so:        $(HDRS) whoson.c

# End

=== debian/changelog ===
exim4 (4.95-4ubuntu2) jammy; urgency=medium

  * d/p/lp1966923-exiqgrep-syntax-error.patch: Fix exiqgrep syntax error,
    improve the validation of command-line options and add a new -E option
    to allow specifying a binary to be used. (LP: #1966923)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 30 Mar 2022 16:45:24 -0400

exim4 (4.95-4ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution
        in SMTP banner.
      + Build-Depends on lsb-release to detect Distribution.
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. (LP #1952738)
      This reverts Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      Changes:
       + d/control: drop Build-Depends on libspf2-dev.
       + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
         on spfquery.mail-spf-perl from spf-tools-perl.
       + d/EDITME.exim4-heavy.diff: disable support for libspf2.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 25 Feb 2022 01:47:15 +0530

exim4 (4.95-4) unstable; urgency=low

  * Fix typo in exiqgrep.8.
  * Document all options of exiqgrep in manpage. (Patch by Janne Hess).
    Closes: #1004428
  * Cherry-pick some patches from upstream GIT master:
    + 75_32-Fix-PAM-auth.-Bug-2813.patch
      https://bugs.exim.org/show_bug.cgi?id=2813
    + 75_35-Exiqgrep-check-arg-parsing.-Bug-2821.patch
      https://bugs.exim.org/show_bug.cgi?id=2821
    + 75_45-Fix-bogus-error-message-copy.-Bug-2857.patch
      https://bugs.exim.org/show_bug.cgi?id=2857
    + 75_50-Fix-include_directory-in-redirect-routers.-Bug-2715.patch
      Closes: #988301
    + 75_55-Specific-check-for-null-pointer.patch
  * Add lintian override for fp bash-term-in-posix-shell *HOSTNAME.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Feb 2022 14:49:28 +0100

exim4 (4.95-3) unstable; urgency=low

  * Build with support for SASL external authenticator. Closes: #982325
  * Add lintian overrides for bash-term-in-posix-shell exim4-base
    usr/sbin/exim_checkaccess and exim4-config:
    maintainer-script-needs-depends-on-update-inetd.
  * Run wrap-and-sort -ast.
  * Pull 75_40-Fix-basic-memory-use-for-SPARC.-Bug-2838.patch from upstream
    GIT master to fix FTBFS on sparc. (Thanks, John Paul Adrian Glaubitz)
    Closes: #995679

 -- Andreas Metzler <ametzler@debian.org>  Thu, 16 Dec 2021 19:26:32 +0100

exim4 (4.95-2ubuntu3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 14:52:48 +0100

exim4 (4.95-2ubuntu2) jammy; urgency=medium

  * New delta:
    - Disable external SPF support to avoid Build-Depends on libspf2-dev
      (only available in universe). SPF can still be implemented via
      spf-tools-perl, as documented in exim4.conf.template. (LP: #1952738)
      This reverts Vcs-Git commit 494f1fe, first released in 4.95~RC0-1.
      Changes:
        + d/control: drop Build-Depends on libspf2-dev.
        + d/d/c/a/30_exim4-config_check_rcpt: restore SPF logic based
          on spfquery.mail-spf-perl from spf-tools-perl.
        + d/EDITME.exim4-heavy.diff: disable support for libspf2.

 -- Paride Legovini <paride@ubuntu.com>  Wed, 01 Dec 2021 11:48:10 +0100

exim4 (4.95-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946857). Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.
      + Build-Depends on lsb-release to detect Distribution.

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 09 Nov 2021 10:10:14 -0700

exim4 (4.95-2) unstable; urgency=medium

  * 75_30-Avoid-calling-gettimeofday-select-per-char-for-cmdli.patch from
    upstream GIT master, fixes inefficient command line mail submission.
    Closes: #996282

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Oct 2021 13:14:58 +0200

exim4 (4.95-1) unstable; urgency=medium

  [ Andreas Metzler ]
  * Use »command -v« instead of »which«. Closes: #993653
  * New upstream version.
  * Catch up with changed lintian output, update overrides.
  * Add macro for setting DKIM_IDENTITY. (Thanks, "RL"). Closes: #993880
  * Add macro for setting the protocol option on the remote_smtp_smarthost
    transport. (Thanks, Bill Allombert). Closes: #994597 Also update
    README.Debian.

  [ Edward Betts ]
  * Remove debian/TODO. It was just a link to alioth that no longer works.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 Oct 2021 13:39:56 +0200

exim4 (4.95~RC2-1) unstable; urgency=low

  * Let exim4-base recommend bsd-mailx|mailx instead of only the virtual
    package. (Thanks, Daniel Lewart) Closes: #992475
  * New upstream version.
    + Update debian/example.conf.md5, no changes needed.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Aug 2021 13:18:59 +0200

exim4 (4.95~RC1-1) experimental; urgency=low

  * New upstream version.
    + Drop 75_04-Remove-the-must-helo-check-from-the-example-config.patch
      77_01-Revert-GnuTLS-when-library-too-old-for-system-CA-bun.patch.
    + Unfuzz 90_localscan_dlopen.dpatch.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 28 Jul 2021 12:59:22 +0200

exim4 (4.95~RC0-1) experimental; urgency=low

  * New upstream version.
    + Point watchfile to test subdirectory.
    + Drop superfluous patches.
    + Unfuzz 90_localscan_dlopen.dpatch
    + Unfuzz debian/EDITME.*
    + Fixup debian/minimaltest for new upstream.
    + New upstream default configuration does not abuse message_size_limit
      option to reject overlong lines, there is a new main configuration
      option - message_linelength_limit - which is set to 998 by default.
      Mirror this change, now the IGNORE_SMTP_LINE_LENGTH_LIMIT only affects


=== debian/control ===
# * -base and daemon of the same upstream version enforced by a Breaks
#   in -base and a versioned Depends of the daemon-packages on -base
# * -base depends on -config, without automatic versioning.
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Metzler <ametzler@debian.org>,
 Marc Haber <mh+debian-packages@zugschlus.de>,
Homepage: https://www.exim.org/
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libdb5.3-dev,
 libgnutls28-dev (>= 3.5.7),
 libident-dev,
 libidn11-dev,
 libidn2-dev,
 libldap2-dev,
 libpam0g-dev,
 libpcre3-dev,
 libperl-dev,
 libpq-dev,
 libsasl2-dev,
 libsqlite3-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxmu-dev,
 libxt-dev,
 lynx,
 po-debconf,
 xsltproc,
 lsb-release

Package: exim4-base
Architecture: any
Priority: optional
Breaks:
 exim4-daemon-custom (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-light (<<${Upstream-Version}),
Conflicts:
 exim,
 exim-tls,
Replaces:
 exim,
 exim-tls,
 exim4-daemon-custom,
 exim4-daemon-heavy,
 exim4-daemon-light,
Depends:
 adduser,
 cron | cron-daemon | anacron | systemd-sysv,
 exim4-config (>=4.94) | exim4-config-2,
 lsb-base (>= 3.0-6),
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
# psmisc just for exiwhat.
# mailx for cronjob
Recommends:
 bsd-mailx | mailx,
 psmisc,
Suggests:
 exim4-doc-html | exim4-doc-info,
 eximon4,
 file,
 gnutls-bin | openssl,
 mail-reader,
 spf-tools-perl,
 swaks,
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks:
 exim4-daemon-heavy (<< 4.94),
 exim4-daemon-light (<< 4.94),
Provides:
 exim4-config-2,
Conflicts:
 exim,
 exim-tls,
 exim4-config,
 exim4-config-2,
 ${MTA-Conflicts},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${dist:Provides:exim4-daemon-light},
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends:
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (<< ${source:Version}.1),
 exim4-base (>= ${source:Version}),
 exim4-daemon-light (>= ${source:Version}) | exim4-daemon-heavy (>= ${source:Version}) | exim4-daemon-custom (>= ${source:Version}),
 ${misc:Depends},
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides:
 mail-transport-agent,
 ${localscanabiversion},
Conflicts:
 mail-transport-agent,
Replaces:
 exim4-base (<= 4.61-1),
 mail-transport-agent,
Depends:
 exim4-base (>= ${Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 clamav-daemon (<< 0.95),
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: ${localscanabiversion}, mail-transport-agent
#Conflicts: mail-transport-agent
#Replaces: exim4-base (<= 4.61-1), mail-transport-agent
#Depends:
# exim4-base (>= ${Upstream-Version}),
# ${misc:Depends},
# ${shlibs:Depends}
#Description: custom Exim MTA (v4) daemon with locally set features
# Exim (v4) is a mail transport agent. This package contains a
# custom-configured exim4 daemon compiled to local needs. This package
# is not part of official Debian, but can easily be built from the
# Debian source package. For information about the feature set compiled in,
# and for bug reports, please find out who built your package.
# .
# The Debian exim4 packages have their own web page,
# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
# FAQ list. Information about the way the Debian packages are
# configured can be found in
# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
# information about the way the Debian binary packages are built. The
# very extensive upstream documentation is shipped in
# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
# configuration process in a standard setup, invoke dpkg-reconfigure
# exim4-config. There is a Debian-centered mailing list,
# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
# questions there, and only write to the upstream exim-users mailing
# list if you are sure that your question is not Debian-specific. You
# can find the subscription web page on
# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts:
 eximon,
Replaces:
 eximon,
Depends:
 exim4-base (>= 4.10),
 ${misc:Depends},
 ${shlibs:Depends},
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dev
Architecture: any
Priority: optional
Depends:

=== debian/tests/control ===
Tests: basic
Depends:
 exim4,
 libnet-ssleay-perl,
 swaks,
Restrictions: allow-stderr

## exim4 4.96

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) The Exim Maintainers 2022
# Copyright (c) University of Cambridge, 1995 - 2018
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# The buildname defaults to "<os-type>-<arch-type>". It can be
# overridden by the "build" parameter when invoking make (e.g. make
# build=xxx) This does not provide an override for the OS type and
# architecture type used during the build process; they still have to be
# used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.
#
# EXIM_BUILD_SUFFIX gets appended to the buildname.  (This enables
# parallel builds on a file system shared among different Linux distros
# (same os-type, same arch-type). The ../test/runtest script honours the
# EXIM_BUILD_SUFFIX when searching the Exim binary.)

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}$${EXIM_BUILD_SUFFIX:+.$$EXIM_BUILD_SUFFIX}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.
# If Local/Makefile-<buildname> exists, it is read too.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)

# This pair for the convenience of of the Debian maintainers
exim: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) exim
utils: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) utils

Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	-bd=build-$(buildname); [ -d $$bd ] && echo -e "$$bd/config.h\n$$bd/Makefile" >> $@
	find src Local OS exim_monitor -name "*.[cshyl]" -print \
		    -o -name "os.[ch]*" -print \
		    -o -name "*akefile*" -print \
		    -o -name config.h.defaults -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== src/auths/Makefile ===
# Make file for building a library containing all the available authorization
# methods, and calling it auths.a. In addition, there are functions that are
# of general use in several methods; these are in separate modules so they are
# linked in only when needed. This Makefile is called from the main make file,
# after cd'ing to the auths subdirectory. When the relevant AUTH_ macros are
# defined, the equivalent modules herein is not included in the final binary.

OBJ = auth-spa.o call_pam.o call_pwcheck.o \
      call_radius.o check_serv_cond.o cram_md5.o cyrus_sasl.o dovecot.o \
      external.o get_data.o get_no64_data.o gsasl_exim.o heimdal_gssapi.o \
      plaintext.o pwcheck.o \
      spa.o tls.o xtextdecode.o xtextencode.o

auths.a:         $(OBJ)
		 @$(RM_COMMAND) -f auths.a
		 @echo "$(AR) auths.a"
		 $(FE)$(AR) auths.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

auth-spa.o:         $(HDRS) auth-spa.c
call_pam.o:         $(HDRS) call_pam.c
call_pwcheck.o:     $(HDRS) call_pwcheck.c pwcheck.h
call_radius.o:      $(HDRS) call_radius.c
check_serv_cond.o:  $(HDRS) check_serv_cond.c
get_data.o:         $(HDRS) get_data.c
get_no64_data.o:    $(HDRS) get_no64_data.c
pwcheck.o:          $(HDRS) pwcheck.c pwcheck.h
xtextdecode.o:      $(HDRS) xtextdecode.c
xtextencode.o:      $(HDRS) xtextencode.c

cram_md5.o:         $(HDRS) cram_md5.c cram_md5.h
cyrus_sasl.o:       $(HDRS) cyrus_sasl.c cyrus_sasl.h
dovecot.o:          $(HDRS) dovecot.c dovecot.h
external.o:         $(HDRS) external.c external.h
gsasl_exim.o:       $(HDRS) gsasl_exim.c gsasl_exim.h
heimdal_gssapi.o:   $(HDRS) heimdal_gssapi.c heimdal_gssapi.h
plaintext.o:        $(HDRS) plaintext.c plaintext.h
spa.o:              $(HDRS) spa.c spa.h
tls.o:              $(HDRS) tls.c tls.h

# End

=== debian/changelog ===
exim4 (4.96-15+deb12u7) bookworm-security; urgency=high

  * Fix use-after-free (requiring local command-line access) notified by
    Trend Micro (ref: ZDI-CAN-26250). CVE-2025-30232

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Mar 2025 11:25:14 +0100

exim4 (4.96-15+deb12u6) bookworm; urgency=medium

  * Fix crash in dbmnz when looking up keys with no content.
    Closes: #1080472

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Sep 2024 16:49:26 +0200

exim4 (4.96-15+deb12u5) bookworm-security; urgency=high

  * Fix parsing of multiline RFC 2231 header filename parameter in mime ACL.
    CVE-2024-39929 Closes: #1075785

 -- Andreas Metzler <ametzler@debian.org>  Tue, 09 Jul 2024 10:53:35 +0200

exim4 (4.96-15+deb12u4) bookworm-security; urgency=high

  * 77_CVE-2023-51766_4.97.1-release.diff from 4,97.1 release: Refuse to
    accept a line "dot, LF" as end-of-DATA unless operating in LF-only mode
    (as detected from the first header line) to fix smtp-smuggling
    (CVE-2023-51766). Closes: #1059387

 -- Andreas Metzler <ametzler@debian.org>  Mon, 01 Jan 2024 17:58:00 +0100

exim4 (4.96-15+deb12u3) bookworm; urgency=medium

  * Multiple bugfixes from upstream GIT master:
    + 75_74-Cancel-early-pipe-on-an-observed-advertising-change.patch
    + 75_76-Expansions-disallow-UTF-16-surrogates-from-utf8clean.patch
      (Upstream bug 2998)
    + 75_77-GnuTLS-fix-crash-with-tls_dhparam-none.patch
    + 75_79-Fix-recipients-expansion-when-used-within-run.-.-Bug.patch
      (Upstream bug 3013)
    + 75_82-GnuTLS-fix-autogen-cert-expiry-date.-Bug-3014.patch: Fix on-demand
      TLS cert expiry date. Closes: #1043233
      (Upstream bug 3014)
    + 75_83-Re-fix-live-variable-value-free.-The-inital-fix-resu.patch
    + 76-10-Fix-tr.-and-empty-strings.-Bug-3023.patch ((Upstream bug 3023)
    + 76-12-DNS-more-hardening-against-crafted-responses.patch
    + 76-14-Lookups-Fix-dnsdb-lookup-of-multi-chunk-TXT.-Bug-305.patch Fix
      regression in dnsdb in CVE-2023-42119 fix. (Upstream bug 3054)
  * tests/basic: Add isolation-container restriction (needs a running
    exim daemon).
  * Add ${run } expansion test to tests/basic.
  * Update code to 4.96.2, fixing issues with the proxy protocol
    (CVE-2023-42117) and the `dnsdb` lookup subsystem (CVE-2023-42119). It
    also includes additional hardening for spf lookups, however CVE-2023-42118
    was diagnosed as a vulnerability in the libspf2 library and needs to be
    addressed there. Closes: #1053310

 -- Andreas Metzler <ametzler@debian.org>  Wed, 18 Nov 2023 11:07:57 +0100

exim4 (4.96-15+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address external and SPA authenticator vulnerabilities (CVE-2023-42114,
    CVE-2023-42115, CVE-2023-42116)
    - Auths: fix possible OOB write in external authenticator (CVE-2023-42115)
    - Auths: use uschar more in spa authenticator
    - Auths: fix possible OOB write in SPA authenticator (CVE-2023-42116)
    - Auths: fix possible OOB read in SPA authenticator (CVE-2023-42114)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 29 Sep 2023 22:38:02 +0200

exim4 (4.96-15+deb12u1) bookworm; urgency=medium

  * 75_42-Fix-run-arg-parsing.patch (From upstream GIT master, backported by
    Bryce Harrington for Ubuntu):  Fix argument parsing for ${run } expansion.
    Previously, when an argument included a close-brace character (eg. it
    itself used an expansion) an error occurred. Closes: #1025420
  * 75_68-Fix-srs_encode-.-for-mod-1024-day-zero.patch from upstream GIT
    master:  Fix ${srs_encode ..}. Previously it would give a bad result for
    one day every 1024 days.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Jul 2023 14:56:17 +0200

exim4 (4.96-15) unstable; urgency=medium

  * Pull from upstream GIT master:
    + 75_70-Fix-variable-initialisation-in-smtp-transport.-Bug-2.patch
      Fix a crash in the smtp transport.
      https://bugs.exim.org/show_bug.cgi?id=2996

 -- Andreas Metzler <ametzler@debian.org>  Wed, 10 May 2023 18:30:35 +0200

exim4 (4.96-14) unstable; urgency=medium

  * Pull from upstream GIT master:
    + 75_66-Fix-crash-in-expansions.patch
  * [lintian]: b-d on libidn-dev instead of libidn11-dev.
  * [lintian]: Drop dependency on transitional package lsb-base. (Depended on
    package sysvinit-utils is Esssential: yes)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Feb 2023 13:33:50 +0100

exim4 (4.96-13) unstable; urgency=low

  * Pull fixes from upstream GIT master:
    75_58-Close-server-smtp-socket-explicitly-on-connect-ACL-d.patch
    75_60-OpenSSL-fix-tls_eccurve-setting-explicit-curve-group.patch
    75_62-OpenSSL-Fix-tls_eccurve-on-earlier-versions-than-3.0.patch
    75_63-OpenSSL-log-conns-rejected-for-bad-ALPN-with-the-off.patch
    75_64-DANE-do-not-check-dns_again_means_nonexist-for-TLSA-.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Jan 2023 14:38:13 +0100

exim4 (4.96-12) unstable; urgency=high

  * 75_55-Fix-recursion-on-dns_again_means_nonexist.-Bug-2911.patch from
    upstream GIT master: Fix unbounded recursion in DNS lookups.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 30 Dec 2022 07:37:00 +0100

exim4 (4.96-11) unstable; urgency=high

  * 75_50-Fix-logging-of-max-size-log-line.patch: Fix crash on acl logwrite
    modifier.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 20 Dec 2022 18:06:06 +0100

exim4 (4.96-10) unstable; urgency=medium

  * Pull two OpenSSL related fixes (does not apply to Debian binaries) from
    upstream git master.
  * Fix pointer truncation issue in DLOPEN_LOCAL_SCAN patch. Thanks to Florian
    Weimer for patch and bug report. Closes: #1026045

 -- Andreas Metzler <ametzler@debian.org>  Mon, 19 Dec 2022 18:23:13 +0100

exim4 (4.96-9) unstable; urgency=medium

  * Cherrypick three fixes from upstream GIT master:
    + 75_31-Fix-regext-substring-capture-variables-for-null-matc.patch
    + 75_32-Fix-regex-substring-capture-variables-for-null-match.patch


=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Source: exim4
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
+Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Marc Haber <mh+debian-packages@zugschlus.de>,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/exim4
@@ -22,14 +21,15 @@
  libdb5.3-dev,
  libgnutls28-dev (>= 3.5.7),
  libident-dev,
- libidn11-dev,
+ libidn-dev,
  libidn2-dev,
  libldap2-dev,
  libpam0g-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
  libpq-dev,
  libsasl2-dev,
+ libspf2-dev,
  libsqlite3-dev,
  libx11-dev,
  libxaw7-dev,
@@ -39,7 +39,6 @@
  lynx,
  po-debconf,
  xsltproc,
- lsb-release
 
 Package: exim4-base
 Architecture: any
@@ -61,7 +60,6 @@
  adduser,
  cron | cron-daemon | anacron | systemd-sysv,
  exim4-config (>=4.94) | exim4-config-2,
- lsb-base (>= 3.0-6),
  netbase,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -317,3 +315,5 @@
 Architecture: any
 Priority: optional
 Depends:
+ ${misc:Depends},
+Description: header files for the Exim MTA (v4) packages

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# avoid uname -m detection
ifdef DEB_TARGET_GNU_CPU
export EXIM_ARCHTYPE = $(DEB_TARGET_GNU_CPU)
else
export EXIM_ARCHTYPE = $(shell dpkg-architecture -qDEB_TARGET_GNU_CPU)
endif

buildname = $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN =    $(CURDIR)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

EXIM4VERSIONLOCALSCAN = \
	$(shell sed -rn \
	's/^\s*.define LOCAL_SCAN_ABI_VERSION_(MAJOR|MINOR)\s*([0-9]+).*/\2/p' \
	src/local_scan.h | \
	{ read MAJOR; read MINOR; echo $${MAJOR}.$${MINOR} ; }\
	)

# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA = $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	set -e ; for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/libexec/exim4
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	install -m 755 $(DEBIAN)/update-exim4defaults \
		$(DEBIAN)/exim4-config/usr/sbin

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
	env CONFDIR=$(DEBIAN)/debconf \
		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run

# only called manually by maintainer before upload.
